Package org.gradle.api.invocation

# Interface GradleLifecycle

@Incubating public interface GradleLifecycle
Gradle lifecycle callbacks compatible with `Configuration Cache` and `Isolated Projects`.

Since:
  8.8

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `afterProject(IsolatedAction<? super Project> action)`
  Adds an `isolated action` to be called immediately after a project is evaluated.
  `void`
  `beforeProject(IsolatedAction<? super Project> action)`
  Adds an `isolated action` to be called immediately before a project is evaluated.

- ## Method Details

  - ### beforeProject

    @Incubating void beforeProject(IsolatedAction<? super Project> action)
    Adds an `isolated action` to be called immediately before a project is evaluated. Any extensions added to the `Project` model will be available to build scripts.
    Parameters:
      `action` - The action to execute.
    Since:
      8.8
    See Also:
      - `for the requirements to isolated actions`

  - ### afterProject

    @Incubating void afterProject(IsolatedAction<? super Project> action)
    Adds an `isolated action` to be called immediately after a project is evaluated.
    Parameters:
      `action` - The action to execute.
    Since:
      8.8
    See Also:
      - `for the requirements to isolated actions`